Subject: Re: [dhcwg] New Version Notification for draft-ietf-dhc-mac-assign-08.txt

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 31 Jul 2020 18:40:01 +0000

Hi:

Sorry for the delay on updating the draft-ietf-dhc-mac-assign draft.

While I have not developed specific comments to all of the IESG Discuss issues and other comments, I believe I have addressed most of them (in a few cases they seemed to be more comments or conflicted other review comments). You will find those comments at https://datatracker.ietf.org/doc/draft-ietf-dhc-mac-assign/ballot/. And can also look at the Directorate reviews (most of which were already addressed in earlier updates) at https://datatracker.ietf.org/doc/draft-ietf-dhc-mac-assign/.

This also incorporates changes requested by several from IEEE that reviewed this document (these were not an official position of any group, but they were reviewed with several IEEE volunteers who are cognizant about relevant activities within IEEE, particularly regarding MAC addresses). Though I did not necessarily take all of their suggestions. I will be checking with them; and I hope to share their original comments but need to check with them (it was as comments to the document in a Word document, but it isn't a large attachment).

- Bernie Volz (for the authors)

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, July 31, 2020 2:27 PM
To: Tomek Mrugalski <[email-masked]>; Bernie Volz (volz) <[email-masked]>; Carlos Bernardos <[email-masked]>; Carlos J. Bernardos <[email-masked]>
Subject: New Version Notification for draft-ietf-dhc-mac-assign-08.txt

A new version of I-D, draft-ietf-dhc-mac-assign-08.txt has been successfully submitted by Bernie Volz and posted to the IETF repository.

Name:		draft-ietf-dhc-mac-assign
Revision:	08
Title:		Link-Layer Addresses Assignment Mechanism for DHCPv6
Document date:	2020-07-31
Group:		dhc
Pages:		20
URL:            https://www.ietf.org/internet-drafts/draft-ietf-dhc-mac-assign-08.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-dhc-mac-assign/
Htmlized:       https://tools.ietf.org/html/draft-ietf-dhc-mac-assign-08
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-dhc-mac-assign
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-dhc-mac-assign-08

Abstract:
   In certain environments, e.g., large scale virtualization
   deployments, new devices are created in an automated manner.  Such
   devices may have their link-layer addresses assigned in an automated
   fashion.  With sufficient scale, the likelihood of a collision using
   random assignment without duplication detection is not acceptable.
   Therefore an allocation mechanism is required.  This draft proposes
   an extension to DHCPv6 that allows a scalable approach to link-layer
   address assignments where preassigned link-layer address assignments
   (such as by a manufacturer) are not possible or unnecessary.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat